# This file was automatically generated by SWIG (http://www.swig.org).
# Version 1.3.40
#
# Do not make changes to this file unless you know what you are doing--modify
# the SWIG interface file instead.
# This file is compatible with both classic and new-style classes.

from sys import version_info
if version_info >= (2,6,0):
    def swig_import_helper():
        from os.path import dirname
        import imp
        fp = None
        try:
            fp, pathname, description = imp.find_module('_Util', [dirname(__file__)])
        except ImportError:
            import _Util
            return _Util
        if fp is not None:
            try:
                _mod = imp.load_module('_Util', fp, pathname, description)
            finally:
                fp.close()
            return _mod
    _Util = swig_import_helper()
    del swig_import_helper
else:
    import _Util
del version_info
try:
    _swig_property = property
except NameError:
    pass # Python < 2.2 doesn't have 'property'.
def _swig_setattr_nondynamic(self,class_type,name,value,static=1):
    if (name == "thisown"): return self.this.own(value)
    if (name == "this"):
        if type(value).__name__ == 'SwigPyObject':
            self.__dict__[name] = value
            return
    method = class_type.__swig_setmethods__.get(name,None)
    if method: return method(self,value)
    if (not static) or hasattr(self,name):
        self.__dict__[name] = value
    else:
        raise AttributeError("You cannot add attributes to %s" % self)

def _swig_setattr(self,class_type,name,value):
    return _swig_setattr_nondynamic(self,class_type,name,value,0)

def _swig_getattr(self,class_type,name):
    if (name == "thisown"): return self.this.own()
    method = class_type.__swig_getmethods__.get(name,None)
    if method: return method(self)
    raise AttributeError(name)

def _swig_repr(self):
    try: strthis = "proxy of " + self.this.__repr__()
    except: strthis = ""
    return "<%s.%s; %s >" % (self.__class__.__module__, self.__class__.__name__, strthis,)

try:
    _object = object
    _newclass = 1
except AttributeError:
    class _object : pass
    _newclass = 0


class SwigPyIterator(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, SwigPyIterator, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, SwigPyIterator, name)
    def __init__(self, *args, **kwargs): raise AttributeError("No constructor defined - class is abstract")
    __repr__ = _swig_repr
    __swig_destroy__ = _Util.delete_SwigPyIterator
    __del__ = lambda self : None;
    def value(self) -> "PyObject *" : return _Util.SwigPyIterator_value(self)
    def incr(self, n : 'size_t' = 1) -> "swig::SwigPyIterator *" : return _Util.SwigPyIterator_incr(self, n)
    def decr(self, n : 'size_t' = 1) -> "swig::SwigPyIterator *" : return _Util.SwigPyIterator_decr(self, n)
    def distance(self, *args) -> "ptrdiff_t" : return _Util.SwigPyIterator_distance(self, *args)
    def equal(self, *args) -> "bool" : return _Util.SwigPyIterator_equal(self, *args)
    def copy(self) -> "swig::SwigPyIterator *" : return _Util.SwigPyIterator_copy(self)
    def next(self) -> "PyObject *" : return _Util.SwigPyIterator_next(self)
    def __next__(self) -> "PyObject *" : return _Util.SwigPyIterator___next__(self)
    def previous(self) -> "PyObject *" : return _Util.SwigPyIterator_previous(self)
    def advance(self, *args) -> "swig::SwigPyIterator *" : return _Util.SwigPyIterator_advance(self, *args)
    def __eq__(self, *args) -> "bool" : return _Util.SwigPyIterator___eq__(self, *args)
    def __ne__(self, *args) -> "bool" : return _Util.SwigPyIterator___ne__(self, *args)
    def __iadd__(self, *args) -> "swig::SwigPyIterator &" : return _Util.SwigPyIterator___iadd__(self, *args)
    def __isub__(self, *args) -> "swig::SwigPyIterator &" : return _Util.SwigPyIterator___isub__(self, *args)
    def __add__(self, *args) -> "swig::SwigPyIterator *" : return _Util.SwigPyIterator___add__(self, *args)
    def __sub__(self, *args) -> "ptrdiff_t" : return _Util.SwigPyIterator___sub__(self, *args)
    def __iter__(self): return self
SwigPyIterator_swigregister = _Util.SwigPyIterator_swigregister
SwigPyIterator_swigregister(SwigPyIterator)

class Verbose(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, Verbose, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, Verbose, name)
    def __init__(self, *args, **kwargs): raise AttributeError("No constructor defined")
    __repr__ = _swig_repr
    Simple = _Util.Verbose_Simple
    Normal = _Util.Verbose_Normal
    Detail = _Util.Verbose_Detail
    Default = _Util.Verbose_Default
    Energy = _Util.Verbose_Energy
    Occupation = _Util.Verbose_Occupation
    Time = _Util.Verbose_Time
    Pos = _Util.Verbose_Pos
    Scientific = _Util.Verbose_Scientific
    __swig_getmethods__["construct"] = lambda x: _Util.Verbose_construct
    if _newclass:construct = staticmethod(_Util.Verbose_construct)
    __swig_getmethods__["free"] = lambda x: _Util.Verbose_free
    if _newclass:free = staticmethod(_Util.Verbose_free)
    __swig_getmethods__["single"] = lambda x: _Util.Verbose_single
    if _newclass:single = staticmethod(_Util.Verbose_single)
    __swig_getmethods__["all"] = lambda x: _Util.Verbose_all
    if _newclass:all = staticmethod(_Util.Verbose_all)
    __swig_getmethods__["master_group"] = lambda x: _Util.Verbose_master_group
    if _newclass:master_group = staticmethod(_Util.Verbose_master_group)
    __swig_getmethods__["master_rank"] = lambda x: _Util.Verbose_master_rank
    if _newclass:master_rank = staticmethod(_Util.Verbose_master_rank)
    __swig_getmethods__["set_numformat"] = lambda x: _Util.Verbose_set_numformat
    if _newclass:set_numformat = staticmethod(_Util.Verbose_set_numformat)
    __swig_getmethods__["get_verbose_level"] = lambda x: _Util.Verbose_get_verbose_level
    if _newclass:get_verbose_level = staticmethod(_Util.Verbose_get_verbose_level)
    __swig_destroy__ = _Util.delete_Verbose
    __del__ = lambda self : None;
Verbose_swigregister = _Util.Verbose_swigregister
Verbose_swigregister(Verbose)

def Verbose_construct(os : 'std::ostream' = None, verbose_level : 'int' = 1) -> "void" :
  return _Util.Verbose_construct(os, verbose_level)
Verbose_construct = _Util.Verbose_construct

def Verbose_free() -> "void" :
  return _Util.Verbose_free()
Verbose_free = _Util.Verbose_free

def Verbose_single(verbose : 'int' = 0) -> "std::ostream &" :
  return _Util.Verbose_single(verbose)
Verbose_single = _Util.Verbose_single

def Verbose_all(verbose : 'int' = 0) -> "std::ostream &" :
  return _Util.Verbose_all(verbose)
Verbose_all = _Util.Verbose_all

def Verbose_master_group(verbose : 'int' = 0) -> "std::ostream &" :
  return _Util.Verbose_master_group(verbose)
Verbose_master_group = _Util.Verbose_master_group

def Verbose_master_rank(verbose : 'int' = 0) -> "std::ostream &" :
  return _Util.Verbose_master_rank(verbose)
Verbose_master_rank = _Util.Verbose_master_rank

def Verbose_set_numformat(*args) -> "void" :
  return _Util.Verbose_set_numformat(*args)
Verbose_set_numformat = _Util.Verbose_set_numformat

def Verbose_get_verbose_level() -> "int" :
  return _Util.Verbose_get_verbose_level()
Verbose_get_verbose_level = _Util.Verbose_get_verbose_level

class TeeStreamBuf(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, TeeStreamBuf, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, TeeStreamBuf, name)
    __repr__ = _swig_repr
    def __init__(self, *args): 
        this = _Util.new_TeeStreamBuf(*args)
        try: self.this.append(this)
        except: self.this = this
    __swig_destroy__ = _Util.delete_TeeStreamBuf
    __del__ = lambda self : None;
TeeStreamBuf_swigregister = _Util.TeeStreamBuf_swigregister
TeeStreamBuf_swigregister(TeeStreamBuf)

class TeeStream(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, TeeStream, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, TeeStream, name)
    __repr__ = _swig_repr
    def __init__(self, *args): 
        this = _Util.new_TeeStream(*args)
        try: self.this.append(this)
        except: self.this = this
    __swig_destroy__ = _Util.delete_TeeStream
    __del__ = lambda self : None;
TeeStream_swigregister = _Util.TeeStream_swigregister
TeeStream_swigregister(TeeStream)



